<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <title>Money Save App</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="icon" type="image/png" th:href="@{/images/favicon.png}" />
    <link rel="stylesheet" media="screen" th:href="@{/stylesheets/main.css}" />
    <link rel="stylesheet" media="screen" th:href="@{/stylesheets/bootstrap.min.css}" />
    <link rel="stylesheet" media="screen" th:href="@{/stylesheets/permission.css}" />
    <link rel="stylesheet" media="screen" th:href="@{/stylesheets/result.css}" />

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="javascripts/bootstrap.min.js"></script>
    <script src="javascripts/popup.js"></script>
    <script src="javascripts/sorttable.js"></script>
    <script src="https://unpkg.com/feather-icons"></script>
</head>

<body>
    <div id="root">
        <div>
            <section id="navbar-margin" style="padding: 0;">
                <div id="background-header" class="container-fluid">
                    <div class="container">
                        <div class="row">
                            <div id="logo" class="col-lg-3" style="padding-top:100px">
                                <img src="/images/money-save-logo.png" class="img-fluid">
                            </div>
                            <div id="info" class="col-lg-9">
                                <div class="row">
                                    <div class="col-lg-6 hello-box">
                                        <h3>Hello!</h3>
                                        <!-- <h3>[[${detail.accountHolder}]]</h3> -->
                                    </div>
                                    <div class="col-lg-6 bank-box">
                                        <h3>[[${detail.accountNumber}]]</h3>
                                        <h4><span th:text="${#calendars.format(#calendars.createNow(), 'dd MMM yyyy')}"></span>
                                            <!--<span class="account-details">
                                                <span>
                                                    <span
                                                        class="account-details-separator">/</span><span>10000000</span></span><span><span
                                                        class="account-details-separator">/</span><span>01-21-31</span></span></span>-->
                                        </h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="container">
                    <div>
                        <div class="row">
                            <div id="sidebar" class="col-lg-3">
                                <div class="linked-accounts">
                                    <p style="text-align:center">You have <span>1</span> account <br> linked to Money Save.</p>
                                    <h6 class="list-group-title text-center">Add bank account</h6>
                                    <div class="text-center">
                                        <a href="#" id="connect-bank" class="btn btn-piggy-small text-center" type="button" th:data-server="${server}" th:data-token="${token}" th:data-url="${redirect}"
                                           th:onclick="openLink(this.getAttribute('data-server'), this.getAttribute('data-token'), this.getAttribute('data-url'))">Connect Your Bank</a>
                                        <!-- <button type="button" id="connect-bank" class="btn btn-piggy-small text-center">Connect your bank</button> -->
                                    </div>
                                 </div>
                            </div>
                            <div class="col-lg-9">
                                <div class="card mt-4">
                                    <div class="row">
                                        <div class="col col-lg-6">
                                            <h5>Balance</h5>
                                        </div>
                                        <div class="col col-lg-6 text-right last-update">
                                            <p>Updated <span class="timer"></span></p>
                                        </div>
                                    </div>
                                    <div>
                                        <div>
                                            <div id="balance" class="row double-col">
                                                <div class="col col-lg-6 text-center">
                                                    <span class="positive-val">[[${balance.currency}]] [[${#numbers.formatDecimal(detail.balances.available, 0, 'COMMA', 0, 'POINT')}]]</span>Available Balance
                                                </div>
                                                <div class="col col-lg-6 text-center">
                                                    <span class="positive-val">[[${balance.currency}]] [[${#numbers.formatDecimal(detail.balances.current, 0, 'COMMA', 0, 'POINT')}]]</span>Current Balance
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card mt-4">
                                    <div class="row">
                                        <div class="col col-lg-6">
                                            <h5>Transactions</h5>
                                        </div>
                                        <div class="col col-lg-6 text-right last-update">
                                            <p>Updated <span class="timer"></span></p>
                                        </div>
                                    </div>
                                    <div>
                                        <div>
                                            <div id="transactions" class="row">
                                                <table class="table table-hover table-responsive sortable" style="font-size: 13px;">
                                                    <thead>
                                                        <tr>
                                                            <th>Time</th>
                                                            <th>Description</th>
                                                            <th>Status</th>
                                                            <th>Amount</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <th:block th:each="item : ${items}">
                                                            <tr>
                                                                <td th:text="${#dates.format(item.date, 'dd-MM-yyyy')}"></td>
                                                                <td th:text="${item.description}"></td>
                                                                <td th:text="${item.status}"></td>
                                                                <td th:text="${'IDR ' + #numbers.formatDecimal(item.amount, 0, 'COMMA', 0, 'POINT')}"></td>
                                                            </tr>
                                                        </th:block>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
    <script type="text/javascript">
        var el = '.timer';
            var start = Math.round(new Date().getTime() / 1000);
            var cDisplay = $(el);
            var format = function (t) {
                var hours = Math.floor(t / 3600),
                    minutes = Math.floor(t / 60 % 60),
                    seconds = Math.floor(t % 60),
                    arr = [];
                if (hours > 0) {
                    arr.push(hours == 1 ? '1 hr ago' : hours + 'hrs ago');
                }
                if (minutes > 0 || hours > 0) {
                    arr.push(minutes > 1 ? minutes + ' mins ago' : minutes + ' min ago');
                }
                if (seconds > 0 || minutes > 0 || hours > 0) {
                    arr.push(seconds > 1 ? seconds + ' secs ago' : seconds + ' sec ago');
                }
                cDisplay.html(arr.join(' '));
            };
            setInterval(function () {
                format(new Date().getTime() / 1000 - start);
            }, 1000);
    </script>
</body>
</html>